# IRremoteESP8266: src/ir_Corona.h File Reference

ir_Corona.h File Reference

Go to the source code of this file.

## Classes

struct | CoronaSection
| Native representation of a section of a Corona A/C message. More...
union | CoronaProtocol
| Native representation of a Corona A/C message. More...
class | IRCoronaAc
| Class for handling detailed Corona A/C messages. More...

## Variables

const uint8_t | kCoronaAcSections = 3
const uint8_t | kCoronaAcSectionBytes = 7
const uint8_t | kCoronaAcSectionHeader0 = 0x28
const uint8_t | kCoronaAcSectionHeader1 = 0x61
const uint8_t | kCoronaAcSectionLabelBase = 0x0D
const uint8_t | kCoronaAcSectionData0Base = 0x10
const uint8_t | kCoronaAcFanAuto = 0b00
const uint8_t | kCoronaAcFanLow = 0b01
const uint8_t | kCoronaAcFanMedium = 0b10
const uint8_t | kCoronaAcFanHigh = 0b11
const uint8_t | kCoronaAcMinTemp = 17
const uint8_t | kCoronaAcMaxTemp = 30
const uint8_t | kCoronaAcModeHeat = 0b00
const uint8_t | kCoronaAcModeDry = 0b01
const uint8_t | kCoronaAcModeCool = 0b10
const uint8_t | kCoronaAcModeFan = 0b11
const uint8_t | kCoronaAcSettingsSection = 0
const uint8_t | kCoronaAcOnTimerSection = 1
const uint8_t | kCoronaAcOffTimerSection = 2
const uint16_t | kCoronaAcTimerMax = 12 * 60
const uint16_t | kCoronaAcTimerOff = 0xffff
const uint16_t | kCoronaAcTimerUnitsPerMin = 30

## Variable Documentation

## kCoronaAcFanAuto

const uint8_t kCoronaAcFanAuto = 0b00

## kCoronaAcFanHigh

const uint8_t kCoronaAcFanHigh = 0b11

## kCoronaAcFanLow

const uint8_t kCoronaAcFanLow = 0b01

## kCoronaAcFanMedium

const uint8_t kCoronaAcFanMedium = 0b10

## kCoronaAcMaxTemp

const uint8_t kCoronaAcMaxTemp = 30

## kCoronaAcMinTemp

const uint8_t kCoronaAcMinTemp = 17

## kCoronaAcModeCool

const uint8_t kCoronaAcModeCool = 0b10

## kCoronaAcModeDry

const uint8_t kCoronaAcModeDry = 0b01

## kCoronaAcModeFan

const uint8_t kCoronaAcModeFan = 0b11

## kCoronaAcModeHeat

const uint8_t kCoronaAcModeHeat = 0b00

## kCoronaAcOffTimerSection

const uint8_t kCoronaAcOffTimerSection = 2

## kCoronaAcOnTimerSection

const uint8_t kCoronaAcOnTimerSection = 1

## kCoronaAcSectionBytes

const uint8_t kCoronaAcSectionBytes = 7

## kCoronaAcSectionData0Base

const uint8_t kCoronaAcSectionData0Base = 0x10

## kCoronaAcSectionHeader0

const uint8_t kCoronaAcSectionHeader0 = 0x28

## kCoronaAcSectionHeader1

const uint8_t kCoronaAcSectionHeader1 = 0x61

## kCoronaAcSectionLabelBase

const uint8_t kCoronaAcSectionLabelBase = 0x0D

## kCoronaAcSections

const uint8_t kCoronaAcSections = 3

## kCoronaAcSettingsSection

const uint8_t kCoronaAcSettingsSection = 0

## kCoronaAcTimerMax

const uint16_t kCoronaAcTimerMax = 12 * 60

## kCoronaAcTimerOff

const uint16_t kCoronaAcTimerOff = 0xffff

## kCoronaAcTimerUnitsPerMin

const uint16_t kCoronaAcTimerUnitsPerMin = 30